Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046886
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2021-05-28 11:142021-06-22 09:29
Reporterhector_hernaezView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in VersionPR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046886: Incorrect quantities in Return to Vendor Shipment

Description“Return to Vendor Shipment” allows to return more than the pending returned quantity
Steps To ReproduceCreate and confirm a “Goods Receipt” for Business Partner “Be Soft Drinker, Inc.” with the Products/Quantities: Cola/100 Unit and Plain Water/500 Liter

Create and confirm a “Return to Vendor” for the previously created “Goods Receipt” and pick the below Products/Quantities: Cola/20 Unit and Plain Water/10 Liter

Create and confirm a “Return to Vendor Shipment” by picking all the quantities that appears in the Pick/Edit Lines (This will exceed the pending quantities in Return to Vendor, the system will show duplicate lines)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129700)
markmm82 (developer)
2021-06-21 23:05

Test Plan:
Create and confirm a “Goods Receipt” for Business Partner “Be Soft Drinker, Inc.” with the Products/Quantities: Cola/100 Unit and Plain Water/500 Liter

Create and confirm a “Return to Vendor” for the previously created “Goods Receipt” and pick the below Products/Quantities: Cola/20 Unit and Plain Water/10 Liter

Create and confirm a “Return to Vendor Shipment” by picking all the quantities that appears in the Pick/Edit Lines.
Notice that when the "Select All" checkbox is selected all the pending quantities to be shipped have been distributed in lines and the sum doesn't exceeds the pending quantities.
After click DONE just two lines are created with the selected amount to be shipped.
(0129701)
hgbot (developer)
2021-06-22 00:59

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/404 [^]
(0129706)
vmromanos (developer)
2021-06-22 09:21

Important: the bug is only reproducible when the "Enable UOM Management" preference is not set
(0129707)
hgbot (developer)
2021-06-22 09:29

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: a2e709accfd1db23af11f54448e33204f66a28a7
Author: Mark <markmm82@gmail.com>
Date: 2021-06-21T17:01:17-03:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/a2e709accfd1db23af11f54448e33204f66a28a7 [^]

Fixes BUG-46886: Fix already shipped quantity in RTVS

The already shipped quantity was only be calculated correctly if preference "Enable UOM Management" was configured, in other cases process was not taking into account already shipped quantities.
To fix this, if the preference is not configured any conversion is required so the already shipped qty will be the sum of movement quantities in all the lines.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/return-material/ob-return-material.js
---
(0129708)
hgbot (developer)
2021-06-22 09:29

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/404 [^]

- Issue History
Date Modified Username Field Change
2021-05-28 11:14 hector_hernaez New Issue
2021-05-28 11:14 hector_hernaez Assigned To => Triage Finance
2021-05-28 11:14 hector_hernaez Modules => Core
2021-05-28 11:14 hector_hernaez Triggers an Emergency Pack => No
2021-05-31 12:32 vmromanos Assigned To Triage Finance => markmm82
2021-06-09 23:04 markmm82 Status new => acknowledged
2021-06-10 16:06 markmm82 Status acknowledged => scheduled
2021-06-21 23:05 markmm82 Note Added: 0129700
2021-06-22 00:59 hgbot Note Added: 0129701
2021-06-22 09:21 vmromanos Note Added: 0129706
2021-06-22 09:29 hgbot Resolution open => fixed
2021-06-22 09:29 hgbot Status scheduled => closed
2021-06-22 09:29 hgbot Fixed in Version => PR21Q3
2021-06-22 09:29 hgbot Note Added: 0129707
2021-06-22 09:29 hgbot Note Added: 0129708


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker